## org.apache.jasper.compiler
Class GetPropertyGenerator

    java.lang.Object
      |
      +--org.apache.jasper.compiler.GeneratorBase
            |
            +--org.apache.jasper.compiler.GetPropertyGenerator

All Implemented Interfaces:
  Generator, ServiceMethodPhase

public class GetPropertyGenerator
extends org.apache.jasper.compiler.GeneratorBase
implements ServiceMethodPhase

Generator for jsp:getProperty.

Author:
  Mandar Raje, Danno Ferrin

Field Summary
`protected JspCompilationContext` `ctxt`

Constructor Summary
`GetPropertyGenerator(Mark start, Mark stop, org.xml.sax.Attributes attrs, BeanRepository beanInfo)`

Method Summary
`void` `generate(ServletWriter writer, java.lang.Class phase)`
`boolean` `generateCoordinates(java.lang.Class phase)`
`java.lang.String` `getAttribute(java.lang.String name)`
`void` `init(JspCompilationContext ctxt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctxt

    protected JspCompilationContext ctxt

Constructor Detail

### GetPropertyGenerator

    public GetPropertyGenerator(Mark start,
                                Mark stop,
                                org.xml.sax.Attributes attrs,
                                BeanRepository beanInfo)

Method Detail

### generate

    public void generate(ServletWriter writer,
                         java.lang.Class phase)
                  throws JasperException

  Specified by:
    `generate` in interface `Generator`
    `JasperException`

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

### init

    public void init(JspCompilationContext ctxt)
              throws JasperException

  Specified by:
    `init` in interface `Generator`
    `JasperException`

### generateCoordinates

    public boolean generateCoordinates(java.lang.Class phase)

  Specified by:
    `generateCoordinates` in interface `Generator`

Copyright © 2000 Apache Software Foundation. All Rights Reserved.